import BaseComponent from 'primevue/basecomponent';
import TabPanelStyle from 'primevue/tabpanel/style';
import { renderSlot } from 'vue';

var script$1 = {
  name: 'BaseTabPanel',
  "extends": BaseComponent,
  props: {
    header: null,
    headerStyle: null,
    headerClass: null,
    headerProps: null,
    headerActionProps: null,
    contentStyle: null,
    contentClass: null,
    contentProps: null,
    disabled: Boolean,
    icon: null
  },
  style: TabPanelStyle
};

script$1.__file = "components/lib/tabpanel/BaseTabPanel.vue";

var script = {
  name: 'TabPanel',
  "extends": script$1
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return renderSlot(_ctx.$slots, "default");
}

script.render = render;
script.__file = "components/lib/tabpanel/TabPanel.vue";

export { script as default };
